### Method

# Gtk Sorterchanged

#### Declaration [src]

    void
    gtk_sorter_changed (
      GtkSorter* self,
      GtkSorterChange change
    )

#### Description [src]

Notifies all users of the sorter that it has changed.

This emits the `GtkSorter::changed` signal. Users of the sorter should then update the sort order via `gtk_sorter_compare()`.

Depending on the `change` parameter, it may be possible to update the sort order without a full resorting. Refer to the `GtkSorterChange` documentation for details.

This function is intended for implementers of `GtkSorter` subclasses and should not be called from other functions.

#### Parameters

`change`

  Type: `GtkSorterChange`

  How the sorter changed.